"use client"

import { cx } from "class-variance-authority"

import styles from "./carousel.module.css"

export function CarouselItem({
  className,
  children,
  ...props
}: React.HTMLAttributes<HTMLDivElement>) {
  return (
    <div
      role="group"
      aria-roledescription="slide"
      className={cx(styles.item, className)}
      {...props}
    >
      {children}
    </div>
  )
}
